/**
 * \file sml/cartoscript.h
 * \brief SML::CARTOSCRIPT definitions
 *
 * \if NODOC
 * $Id: cartoscript.h_v 1.1 2010/04/21 18:07:47 mju Exp $
 *
 * $Log: cartoscript.h_v $
 * Revision 1.1  2010/04/21 18:07:47  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_SML_CARTOSCRIPT_H
#define	INC_SML_CARTOSCRIPT_H

#ifndef	INC_MI32_ELEMTYPE_H
#include <mi32/elemtype.h>
#endif

#ifndef GENERATING_DOXYGEN_OUTPUT
// Forward Declarations
class UNSIGNEDSET;
namespace SML {
	class CONTEXT;
	}
#endif

namespace SML {
namespace CARTOSCRIPT {

//! Draw "optimized" labels for specified set of elements.
ERRVALUE DrawOptimizedLabels (
	SML::CONTEXT *context,
	ELEMTYPE ElemType,
	const UNSIGNEDSET& ElemSet
	);

}	// End namespace CARTOSCRIPT
}	// End namespace SML

#endif	// INC_SML_CARTOSCRIPT_H
